  Alexandre Oliva  <oliva@dcc.unicamp.br>

	* kaffe/kaffevm/jni.c (Kaffe_JNI_wrapper): call installMethodCode
	* kaffe/kaffevm/jit/machine.c (installMethodCode): remove `static'
	(translate): assume KAFFEJIT_TO_NATIVE defines meth->c.ncode

Index: kaffe/kaffevm/jni.c
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/kaffevm/jni.c,v
retrieving revision 1.8
diff -u -r1.8 jni.c
--- kaffe/kaffevm/jni.c	1998/07/20 01:55:59	1.8
+++ kaffe/kaffevm/jni.c	1998/08/09 10:18:02
@@ -3674,8 +3674,8 @@
 	}
 	finishInsnSequence(&ncode);
 
-	/* Install it */
-	SET_METHOD_NATIVECODE(xmeth, ncode.code);
+	installMethodCode(xmeth, &ncode);
+
 	xmeth->accflags |= ACC_JNI;
 }
 #endif
Index: kaffe/kaffevm/jit/machine.c
===================================================================
RCS file: /home/cvspublic/kaffe/kaffe/kaffevm/jit/machine.c,v
retrieving revision 1.6
diff -u -r1.6 machine.c
--- kaffe/kaffevm/jit/machine.c	1998/07/09 18:13:13	1.6
+++ kaffe/kaffevm/jit/machine.c	1998/08/09 10:18:02
@@ -109,7 +109,7 @@
 void	initInsnSequence(int, int, int);
 void	finishInsnSequence(nativeCodeInfo*);
 static void generateInsnSequence(void);
-static void installMethodCode(Method*, nativeCodeInfo*);
+void    installMethodCode(Method*, nativeCodeInfo*);
 static void checkCaughtExceptions(Method* meth, int pc);
 
 void	endBlock(sequence*);
@@ -180,7 +180,6 @@
 		native(meth);
 		KAFFEJIT_TO_NATIVE(meth);
 		/* Note that this is a real function not a trampoline.  */
-		meth->c.ncode.ncode_end = METHOD_NATIVECODE(meth);
 		unlockMutex(meth->class);
 		unlockStaticMutex(&translatorlock);
 		return;
@@ -329,7 +328,6 @@
 /*
  * Install the compiled code in the method.
  */
-static
 void
 installMethodCode(Method* meth, nativeCodeInfo* code)
 {
